import request from '@/utils/request'

// 查询结算单与报修单关联列表
export function listSettlementMaintainRepairForm(query) {
  return request({
    url: '/business/settlementMaintainRepairForm/list',
    method: 'get',
    params: query
  })
}

// 查询结算单与报修单关联详细
export function getSettlementMaintainRepairForm(id) {
  return request({
    url: '/business/settlementMaintainRepairForm/' + id,
    method: 'get'
  })
}

// 新增结算单与报修单关联
export function addSettlementMaintainRepairForm(data) {
  return request({
    url: '/business/settlementMaintainRepairForm',
    method: 'post',
    data: data
  })
}

// 修改结算单与报修单关联
export function updateSettlementMaintainRepairForm(data) {
  return request({
    url: '/business/settlementMaintainRepairForm',
    method: 'put',
    data: data
  })
}

// 删除结算单与报修单关联
export function delSettlementMaintainRepairForm(id) {
  return request({
    url: '/business/settlementMaintainRepairForm/' + id,
    method: 'delete'
  })
}
